package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 存储主机端口使用的光纤端口
 */
@Table("storage_host_port_fcport")
public class StorageHostPortFcPort {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("host_port_id")
    private Long hostPortId; // 主机端口
    @Column("fcport_id")
    private Long fcportId; // 光纤端口

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHostPortId() {
        return hostPortId;
    }

    public void setHostPortId(Long hostPortId) {
        this.hostPortId = hostPortId;
    }

    public Long getFcportId() {
        return fcportId;
    }

    public void setFcportId(Long fcportId) {
        this.fcportId = fcportId;
    }
}
